buildr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marc-André Laverdière <marcandre.laverdi...@gmail.com>
Subject Re: Unable to build
Date Fri, 06 May 2011 06:18:21 GMT
Hi Alex,

Thanks for the hint, but that didn't help.
I installed rubygems-1.8.0.tgz following the instructions (all the
packages were already installed), except for the symlink (which points
to alternatives, which in turn points to the right thing already). So
I have this:


marc-andre@01HW175292:~/buildr$ gem --version
NOTE: Gem::Specification#default_executable= is deprecated with no
replacement. It will be removed on or after 2011-10-01.
Gem::Specification#default_executable= called from
/home/marc-andre/.gem/ruby/1.8/specifications/bundler-1.0.12.gemspec:10.
1.8.0

Yet, when running rake, I get

marc-andre@01HW175292:~/buildr$ rake setup install
(in /home/marc-andre/buildr)
Buildr uses the SDoc RDoc generator/theme. You can install it by
running rake doc:setup
rake aborted!
uninitialized constant Gem
/home/marc-andre/buildr/Rakefile:32:in `spec'
(See full trace by running task with --trace)

Exactly as before.

I eventually found out that I needed to reinstall the gems from
scratch and then it was working.

On 5/6/11, Alex Boisvert <alex.boisvert@gmail.com> wrote:
> Looks like you're using Ubuntu's rake/gem install (dpkg).  I suggest
> installing gem + rake following the instructions on the buildr website:
> http://buildr.apache.org/installing.html#linux
>
> <http://buildr.apache.org/installing.html#linux>alex
>
> 2011/5/5 Marc-André Laverdière <marcandre.laverdiere@gmail.com>
>
>> Hi guys.
>>
>> I am a n00b at Ruby, coming for a plain Java background.
>> I'm not able to build buildr from source. I am getting "uninitialized
>> constant Gem"
>>
>> Details:
>> marc-andre@01HW175292:~/buildr$ rake setup install --trace
>> (in /home/marc-andre/buildr)
>> Buildr uses the SDoc RDoc generator/theme. You can install it by
>> running rake doc:setup
>> rake aborted!
>> uninitialized constant Gem
>> /usr/lib/ruby/1.8/rake.rb:2503:in `const_missing'
>> /home/marc-andre/buildr/Rakefile:32:in `spec'
>> /home/marc-andre/buildr/rakelib/doc.rake:26:in `inject'
>> /home/marc-andre/buildr/Rakefile:30:in `each'
>> /home/marc-andre/buildr/Rakefile:30:in `inject'
>> /home/marc-andre/buildr/Rakefile:30:in `spec'
>> /home/marc-andre/buildr/rakelib/doc.rake:38
>> /usr/lib/ruby/1.8/rake/rdoctask.rb:106:in `initialize'
>> /home/marc-andre/buildr/rakelib/doc.rake:36:in `new'
>> /home/marc-andre/buildr/rakelib/doc.rake:36
>> /usr/lib/ruby/1.8/rake.rb:1620:in `load'
>> /usr/lib/ruby/1.8/rake.rb:1620:in `load'
>> /usr/lib/ruby/1.8/rake.rb:2451:in `load_imports'
>> /usr/lib/ruby/1.8/rake.rb:2390:in `raw_load_rakefile'
>> /usr/lib/ruby/1.8/rake.rb:2017:in `load_rakefile'
>> /usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
>> /usr/lib/ruby/1.8/rake.rb:2016:in `load_rakefile'
>> /usr/lib/ruby/1.8/rake.rb:2000:in `run'
>> /usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'
>> /usr/lib/ruby/1.8/rake.rb:1998:in `run'
>> /usr/bin/rake:28
>>
>>
>> I'm running Ubuntu 11.04 with ruby 1.8.7 and Sun JDK 1.6.0_24.
>> Before that, I did the 'bundle install'.
>>
>> What am I doing wrong?
>>
>> --
>> Marc-André LAVERDIÈRE
>> "Perseverance must finish its work so that you may be mature and complete,
>> not lacking anything." -James 1:4
>> http://asimplediscipleslife.blogspot.com/
>> mlaverd.theunixplace.com
>>
>


-- 
Marc-André LAVERDIÈRE
"Perseverance must finish its work so that you may be mature and complete,
not lacking anything." -James 1:4
http://asimplediscipleslife.blogspot.com/
mlaverd.theunixplace.com

Mime
View raw message